Bug 456955 - Review-Request: libzdb - Zild Database Library
Review-Request: libzdb - Zild Database Library
Status: CLOSED DUPLICATE of bug 474044
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://www.tildeslash.com/libzdb/dist...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 17:19 EDT by Rajesh Krishnan
Modified: 2009-02-17 19:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 15:42:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SRPM for libzdb - builds on fedora-rawhide (10) - amd64 (578.44 KB, application/x-rpm)
2008-07-28 17:19 EDT, Rajesh Krishnan
no flags Details
SPEC file for libzdb. (3.14 KB, text/plain)
2008-07-28 17:20 EDT, Rajesh Krishnan
no flags Details

  None (edit)
Description Rajesh Krishnan 2008-07-28 17:19:12 EDT
Description of problem:
New package: libzdb
Dependency for: dbmail 2.3.3 (uploaded in another report)

Version-Release number of selected component (if applicable):
2.2.2

How reproducible:
SRPM and SPEC included.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rajesh Krishnan 2008-07-28 17:19:13 EDT
Created attachment 312821 [details]
SRPM for libzdb - builds on fedora-rawhide (10) - amd64
Comment 2 Rajesh Krishnan 2008-07-28 17:20:56 EDT
Created attachment 312822 [details]
SPEC file for libzdb.
Comment 3 Paul Howarth 2008-07-30 08:26:21 EDT
Are these review requests going to be more drive-by submissions like the Haskell
ones you recently submitted, or do you plan to respond to bugzilla comments from
potential reviewers this time?
Comment 4 Rajesh Krishnan 2008-07-30 16:30:41 EDT
I don't understand where you guys got the label of "drive-by" submissions.

I am a serious developer and I am NOT trying to gain any personal mileage by 
what you call "drive-by" submissions.  

I like Fedora and I am trying to improve the availability of packages on 
Fedora.

I believe the only problem at that time with the Haskell packages was that I 
could create a lot of packages but did not know that we need to submit SRPMS 
as well.  If I had known that I needed to sumbit the SRPMS as well, you 
wouldn't be labelling like this today.

I am in the process of recreating a lot of those packages, and this time I am 
checking them with rpmlint, running a Fedora Rawhide virtual machine to create 
install and test, and then upload them to this bugzilla.

If  I were you, I would be glad that someone documented the actual steps of 
creating the Haskell packages for a lot of packages that other developers use 
on other distros, but not on Fedora.  At least if there was another developer 
searching for a specific Haskell module on Fedora, he/she could come to this 
bugzilla and follow the steps I had listed to get on with his/her 
requirements.  I don't understand why everyone at your side took so much 
offense to those submissions.  

Of course it would have been nice if I had retained all the SRPMS and uploaded 
them with every one of those emails in the first place, but I must accept my 
lack of the knowledge of the guidelines at that time and am continuing to face 
this denigration.  And guess what, the little of what Fedora Haskell packaging 
guidelines were supposed to be were not even in place, and I an not certain if 
they still are at this time.

So if we all want to get on with the goal of improving the availability of 
packages for Fedora (which I am sure both of us do), then let me submit the 
packages, and I promise I would follow your feedback.  This is irrespective of 
whether you accept the packges for upstream, because having that knowledge 
documented somewhere would serve as a reference for someone else later. 
Unfortunately the only place to do so is this bugzilla, AFAIK.


I do very much appreciate the good work the people on the Fedora team is doing 
and I do value your feedback and criticisms (no offense taken).

-Rajesh Krishnan

Comment 5 Yaakov Nemoy 2008-07-31 04:51:59 EDT
I'm not sure what happened with the haskell packages, but as the person
responsible for the drive to get better haskell support in Fedora, I want to
thank you for taking the time to submit the packages.

Last January, I tried to submit packages of my own, and they were outright
rejected because there were no suitable guidelines in place.  I've been working
on it in my free time though.  If you can get in touch with me at
loup@hexago.nl, i'd be more than happy to talk to you about the guidelines and
what we need to do still to get them accepted.  Please do this before you submit
more packages, as it seems there are a number of trolls here that will attack
you for trying to help.
Comment 6 Rajesh Krishnan 2008-08-01 04:17:44 EDT
Sure. I will send you an email shortly at the hexago.nl address.
-Rajesh

Comment 7 Paul Howarth 2008-08-12 09:22:17 EDT
(In reply to comment #3)
> Are these review requests going to be more drive-by submissions like the Haskell
> ones you recently submitted, or do you plan to respond to bugzilla comments from
> potential reviewers this time?

(In reply to comment #4)
> I don't understand where you guys got the label of "drive-by" submissions.

The phrase was used in Bug #451413, one of your original Haskell submissions, when it appeared that you were just dumping spec files into bugzilla and (more importantly) not responding to any of the comments, specifically the requests to stop making further submissions until the systematic issues with the existing ones were addressed, this saving everyone a lot of work.

I'm happy to see that you're now responding to bugzilla comments and I've no doubt that you have a lot to offer to Fedora. However, it would be best for everybody concerned (both you and anybody reviewing your packages) if you were to follow the documented procedures (see https://fedoraproject.org/wiki/PackageMaintainers/Join), as Yaakov suggested.
Comment 8 Bernard Johnson 2008-11-12 21:23:10 EST
Rajesh,

I wanted to bump up the version of dbmail, so I'm waiting on this package.  Are you still working towards becoming a fedora contributor?
Comment 9 Bernard Johnson 2008-12-01 15:42:33 EST
No response from submitter - marking as duplicate of the package I'm submitting.

*** This bug has been marked as a duplicate of bug 474044 ***

Note You need to log in before you can comment on or make changes to this bug.